Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationModelManager Class Reference

変換モデルマネージャ More...

`#include <TranslationModelManager.h>`

List of all members.

## Public Member Functions
| TranslationModelManager ()
| コンストラクタ
virtual | ~TranslationModelManager ()
| デストラクタ
virtual bool | collectModels (TranslationMeshManager *meshManager)
| モデルの収集
virtual bool | collectAnimations ()
| アニメーションの収集
virtual bool | convertToLamp (Scene *scene) const
| Lampへの変換.
virtual bool | convertAnimation (AnimationManager *animationManager, AnimationSet *animationSet)
| アニメーションの変換
virtual int | clear ()
| クリア
virtual int | getCount () const
| モデル数の取得
virtual TranslationModel * | get (int index) const
| モデルの取得
virtual TranslationModel * | search (String name) const
| モデルの検索
## Protected Member Functions
virtual bool | analysisModel (MDagPath dagPath)
| モデルの解析

## Detailed Description

変換モデルマネージャ

Definition at line 38 of file TranslationModelManager.h.

## Member Function Documentation

bool LampForMaya::TranslationModelManager::analysisModel | ( | MDagPath | dagPath | ) | `[protected, virtual]`

  | モデルの解析 Parameters:
  dagPath | DAGパス
Definition at line 63 of file TranslationModelManager.cpp. References LampForMaya::TranslationModel::analyze(), LampForMaya::TranslationModel::getObject(), MayaErrorOut, and MayaStatusCheck. Referenced by collectModels().

int LampForMaya::TranslationModelManager::clear | ( |  | ) | `[virtual]`

| クリア Returns: 削除したオブジェクト数 Definition at line 146 of file TranslationModelManager.cpp. References getCount(). Referenced by LampForMaya::TranslationScene::clear(), and ~TranslationModelManager().

bool LampForMaya::TranslationModelManager::collectAnimations | ( |  | ) | `[virtual]`

| アニメーションの収集 Returns: 成功すればtrue Definition at line 119 of file TranslationModelManager.cpp. References LampForMaya::TranslationModel::analyzeAnimation(), get(), and getCount(). Referenced by LampForMaya::TranslationScene::collectAnimation().

bool LampForMaya::TranslationModelManager::collectModels | ( | TranslationMeshManager * | meshManager | ) | `[virtual]`

  | モデルの収集 Parameters:
  meshManager | メッシュマネージャ
Returns: 成功すればtrue Definition at line 45 of file TranslationModelManager.cpp. References analysisModel(), and MayaStatusCheck. Referenced by LampForMaya::TranslationScene::collection().

bool LampForMaya::TranslationModelManager::convertAnimation | ( | AnimationManager * | animationManager,
|  | AnimationSet * | animationSet
| ) | `[virtual]`

  | アニメーションの変換 Parameters:
  animationManager | アニメーションマネージャ
  animationSet | アニメーションセット
Returns: 成功すればtrue Definition at line 135 of file TranslationModelManager.cpp. References LampForMaya::TranslationModel::convertAnimation(), get(), and getCount(). Referenced by LampForMaya::TranslationScene::convertAnimation().

bool LampForMaya::TranslationModelManager::convertToLamp | ( | Scene * | scene | ) | const`[virtual]`

  | Lampへの変換. Parameters:
  scene | 変換先シーン
Returns: 成功すればtrue Definition at line 127 of file TranslationModelManager.cpp. References LampForMaya::TranslationModel::convertToLamp(), get(), and getCount(). Referenced by LampForMaya::TranslationScene::convertToLamp().

virtual TranslationModel* LampForMaya::TranslationModelManager::get | ( | int | index | ) | const`[inline, virtual]`

  | モデルの取得 Parameters:
  index | モデルのインデクス
Returns: モデル Definition at line 99 of file TranslationModelManager.h. Referenced by collectAnimations(), convertAnimation(), and convertToLamp().

virtual int LampForMaya::TranslationModelManager::getCount | ( |  | ) | const`[inline, virtual]`

| モデル数の取得 Returns: モデル数 Definition at line 92 of file TranslationModelManager.h. Referenced by clear(), collectAnimations(), convertAnimation(), convertToLamp(), and ~TranslationModelManager().

virtual TranslationModel* LampForMaya::TranslationModelManager::search | ( | String | name | ) | const`[inline, virtual]`

  | モデルの検索 Parameters:
  name | 検索するモデル名
Returns: モデル Definition at line 106 of file TranslationModelManager.h. Referenced by LampForMaya::TranslationSceneNode::compilePivot().

The documentation for this class was generated from the following files:

- TranslationModelManager.h
- TranslationModelManager.cpp